curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/transactions/overview \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/transactions/overview"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/transactions/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.rinne.com.br/core/v1/transactions/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.rinne.com.br/core/v1/transactions/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.rinne.com.br/core/v1/transactions/overview")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.rinne.com.br/core/v1/transactions/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"by_status": {
"PROCESSING": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"AUTHORIZED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"APPROVED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"REFUNDED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PARTIALLY_REFUNDED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PENDING_REFUND": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"CHARGEDBACK": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"WAITING_PAYMENT": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"AWAITING_3DS": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"RISK_ANALYSIS": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"REFUSED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"FAILED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"EXPIRED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PENDING_CANCELLATION": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"CANCELLED": {
"count": 150,
"volume": 1500000,
"average": 10000
}
},
"by_payment_method": {
"CREDIT_CARD": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"DEBIT_CARD": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"BOLEPIX": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PIX": {
"count": 150,
"volume": 1500000,
"average": 10000
}
},
"daily_aggregation": [
{
"date": "2025-01-15",
"count": 10,
"volume": 100000
}
]
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTEGRATION_ERROR",
"message": "Integration error with provider CELCOIN",
"status": 502,
"path": "/merchants/{merchantId}/balance",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"details": {}
}
}Get company transactions overview
Returns an overview of transactions for the authenticated company with aggregated statistics by status, plus a per-payment-method and a daily breakdown of successful transactions only (APPROVED, AUTHORIZED). Totals are computed from a copy of the transaction data and can trail the most recent transactions by a few seconds. Requires the transaction.list permission.
curl --request GET \
--url https://api-sandbox.rinne.com.br/core/v1/transactions/overview \
--header 'x-api-key: <api-key>'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/transactions/overview"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-sandbox.rinne.com.br/core/v1/transactions/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.rinne.com.br/core/v1/transactions/overview",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.rinne.com.br/core/v1/transactions/overview"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.rinne.com.br/core/v1/transactions/overview")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.rinne.com.br/core/v1/transactions/overview")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"by_status": {
"PROCESSING": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"AUTHORIZED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"APPROVED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"REFUNDED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PARTIALLY_REFUNDED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PENDING_REFUND": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"CHARGEDBACK": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"WAITING_PAYMENT": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"AWAITING_3DS": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"RISK_ANALYSIS": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"REFUSED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"FAILED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"EXPIRED": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PENDING_CANCELLATION": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"CANCELLED": {
"count": 150,
"volume": 1500000,
"average": 10000
}
},
"by_payment_method": {
"CREDIT_CARD": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"DEBIT_CARD": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"BOLEPIX": {
"count": 150,
"volume": 1500000,
"average": 10000
},
"PIX": {
"count": 150,
"volume": 1500000,
"average": 10000
}
},
"daily_aggregation": [
{
"date": "2025-01-15",
"count": 10,
"volume": 100000
}
]
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTEGRATION_ERROR",
"message": "Integration error with provider CELCOIN",
"status": 502,
"path": "/merchants/{merchantId}/balance",
"timestamp": "2023-11-07T05:31:56Z",
"requestId": "<string>",
"details": {}
}
}Authorizations
Company API key for authentication
Query Parameters
Start creation date (inclusive). Local calendar day in time_zone. Format is YYYY-MM-DD.
End creation date (inclusive). Local calendar day in time_zone. Format is YYYY-MM-DD. Must be later or equal to created_at_from. Max range is 90 days.
IANA time zone used to interpret dates and group by local day. Defaults to America/Sao_Paulo.
Response
Overview of company transactions
Overview of merchant transactions grouped by status, with per-payment-method and daily aggregation of the successful ones
Statistics for each transaction status. All possible statuses are included, even if count is zero.
Show child attributes
Show child attributes
Statistics of successful transactions (APPROVED, AUTHORIZED) for each payment method. All payment methods are included, even if count is zero.
Show child attributes
Show child attributes
Daily aggregation of successful transactions (APPROVED, AUTHORIZED) only
Show child attributes
Show child attributes

